import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public List findProfessorWithManager() {
    Query query = em.createNativeQuery("SELECT e.name AS emp_name, m.name AS manager_name "
        + "FROM emp e, emp m " + "WHERE e.manager_id = m.emp_id", "ProfessorAndManager");
    return query.getResultList();
  }

}